Skip to main content
GET
/
contacts
List contacts
curl --request GET \
  --url https://api.pulsewave.dev/v1/contacts \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "ct_5n2p9x",
      "object": "contact",
      "email": "jsmith@example.com",
      "phone_number": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "subscribed": true,
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true
}

Authorizations

Authorization
string
header
required

All requests must include Authorization: Bearer <api_key>. Keys are prefixed pw_live_ or pw_test_. See Authentication.

Query Parameters

limit
integer<int32>
default:20

Number of results to return, between 1 and 100

Required range: 1 <= x <= 100
starting_after
string

Cursor for pagination. Pass the id of the last object from the previous page.

email
string<email>

Filter by exact email address

Response

A page of contacts

object
enum<string>
Available options:
list
data
object[]
has_more
boolean